Bug 175552 - [NEW PORT] devel/chruby: Changes the current Ruby
Summary: [NEW PORT] devel/chruby: Changes the current Ruby
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-24 22:30 UTC by ross
Modified: 2013-05-27 04:10 UTC (History)
0 users

See Also:


Attachments
.shar (2.73 KB, text/plain)
2013-01-24 22:30 UTC, ross
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ross 2013-01-24 22:30:00 UTC
Changes the current Ruby.

WWW: https://github.com/postmodern/chruby

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Steve Wills freebsd_committer 2013-02-24 16:00:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-05-27 04:07:28 UTC
Author: swills
Date: Mon May 27 03:07:20 2013
New Revision: 319153
URL: http://svnweb.freebsd.org/changeset/ports/319153

Log:
  Changes the current Ruby.
  
  WWW: https://github.com/postmodern/chruby
  
  PR:		ports/175552
  Submitted by:	Ross Timson <ross@rosstimson.com>

Added:
  head/devel/chruby/
  head/devel/chruby/Makefile   (contents, props changed)
  head/devel/chruby/distinfo   (contents, props changed)
  head/devel/chruby/files/
  head/devel/chruby/files/pkg-message.in   (contents, props changed)
  head/devel/chruby/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Mon May 27 02:40:17 2013	(r319152)
+++ head/devel/Makefile	Mon May 27 03:07:20 2013	(r319153)
@@ -205,6 +205,7 @@
     SUBDIR += checkbashisms
     SUBDIR += checkheaders
     SUBDIR += chrpath
+    SUBDIR += chruby
     SUBDIR += cil
     SUBDIR += cityhash
     SUBDIR += cl-alexandria

Added: head/devel/chruby/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/chruby/Makefile	Mon May 27 03:07:20 2013	(r319153)
@@ -0,0 +1,37 @@
+# Created by: Ross Timson <ross@rosstimson.com>
+# $FreeBSD$
+
+PORTNAME=	chruby
+PORTVERSION=	0.3.2
+CATEGORIES=	devel ruby
+MASTER_SITES=	GH
+
+MAINTAINER=	ross@rosstimson.com
+COMMENT=	Changes the current Ruby
+
+LICENSE=	MIT
+LICENSE_FILE=	${WRKSRC}/LICENSE.txt
+
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
+
+PLIST_FILES=	bin/chruby-exec share/chruby/auto.sh share/chruby/chruby.sh
+PLIST_DIRS=	share/chruby
+
+SUB_FILES=	pkg-message
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	postmodern
+GH_PROJECT=	chruby
+GH_COMMIT=	872cd1b
+GH_TAGNAME=	v${PORTVERSION}
+
+NO_BUILD=	yes
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/chruby-exec ${PREFIX}/bin
+	( cd ${WRKSRC}/share/chruby && ${COPYTREE_BIN} \* ${PREFIX}/share/chruby )
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
+
+.include <bsd.port.mk>

Added: head/devel/chruby/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/chruby/distinfo	Mon May 27 03:07:20 2013	(r319153)
@@ -0,0 +1,2 @@
+SHA256 (chruby-0.3.2.tar.gz) = 9d3d73fbf9d19acccdb5d3ba9377a6bd81eb0a27c436472ed44084ef6f4a1567
+SIZE (chruby-0.3.2.tar.gz) = 13385

Added: head/devel/chruby/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/chruby/files/pkg-message.in	Mon May 27 03:07:20 2013	(r319153)
@@ -0,0 +1,27 @@
+======================================================================
+
+Add the following to the /etc/profile.d/chruby.sh, ~/.bash_profile or
+~/.zprofile file:
+
+source %%PREFIX%%/share/chruby/chruby.sh
+
+By default chruby will search for Rubies installed into /opt/rubies/ or
+~/.rubies/. For non-standard installation locations, simply set the RUBIES
+variable:
+
+RUBIES=(
+  /opt/jruby-1.7.0
+  $HOME/src/rubinius
+)
+
+If you are migrating from another Ruby manager, set `RUBIES` accordingly:
+
+RVM: RUBIES=(~/.rvm/rubies/*)
+rbenv: RUBIES=(~/.rbenv/versions/*)
+rbfu: RUBIES=('~/.rbfu/rubies/*)
+
+To enable auto-switching of Rubies specified by .ruby-version files:
+
+source %%PREFIX%%/share/chruby/auto.sh
+
+======================================================================

Added: head/devel/chruby/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/chruby/pkg-descr	Mon May 27 03:07:20 2013	(r319153)
@@ -0,0 +1,3 @@
+Changes the current Ruby.
+
+WWW: https://github.com/postmodern/chruby
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-05-27 04:08:35 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks! Sorry for the extreme delay. 
Feel free to send an update to the latest version, I promise it won't 
take so long.